## org.eclipse.emf.cdo.spi.common.model
Interface InternalCDOPackageUnit

All Superinterfaces:
  CDOPackageUnit, java.lang.Comparable<CDOPackageUnit>

    public interface InternalCDOPackageUnit

extends CDOPackageUnit

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageUnit
`CDOPackageUnit.State, CDOPackageUnit.Type`

Method Summary
`void` `dispose()`
`InternalCDOPackageInfo` `getPackageInfo(java.lang.String packageURI)`
`InternalCDOPackageInfo[]` `getPackageInfos()`
`InternalCDOPackageRegistry` `getPackageRegistry()`
`InternalCDOPackageInfo` `getTopLevelPackageInfo()`
`void` `init(org.eclipse.emf.ecore.EPackage ePackage)`
`void` `load()`
`void` `read(CDODataInput in, InternalCDOPackageRegistry packageRegistry)`
`void` `setOriginalType(CDOPackageUnit.Type originalType)`
`void` `setPackageInfos(InternalCDOPackageInfo[] packageInfos)`
`void` `setPackageRegistry(InternalCDOPackageRegistry packageRegistry)`
`void` `setState(CDOPackageUnit.State state)`
`void` `setTimeStamp(long timeStamp)`
`void` `write(CDODataOutput out, boolean withPackages)`

Methods inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageUnit
`getEPackages, getID, getOriginalType, getState, getTimeStamp, getType, isSystem`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getPackageRegistry

    InternalCDOPackageRegistry getPackageRegistry()

  Specified by:
    `getPackageRegistry` in interface `CDOPackageUnit`

### setPackageRegistry

    void setPackageRegistry(InternalCDOPackageRegistry packageRegistry)

### setState

    void setState(CDOPackageUnit.State state)

### setOriginalType

    void setOriginalType(CDOPackageUnit.Type originalType)

### setTimeStamp

    void setTimeStamp(long timeStamp)

### getTopLevelPackageInfo

    InternalCDOPackageInfo getTopLevelPackageInfo()

  Specified by:
    `getTopLevelPackageInfo` in interface `CDOPackageUnit`

### getPackageInfo

    InternalCDOPackageInfo getPackageInfo(java.lang.String packageURI)

  Specified by:
    `getPackageInfo` in interface `CDOPackageUnit`

### getPackageInfos

    InternalCDOPackageInfo[] getPackageInfos()

  Specified by:
    `getPackageInfos` in interface `CDOPackageUnit`

### setPackageInfos

    void setPackageInfos(InternalCDOPackageInfo[] packageInfos)

### load

    void load()

### write

    void write(CDODataOutput out,
               boolean withPackages)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    void read(CDODataInput in,
              InternalCDOPackageRegistry packageRegistry)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### init

    void init(org.eclipse.emf.ecore.EPackage ePackage)

### dispose

    void dispose()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.